# $Revision: 1.75.2.23 $, $Date: 2007/10/15 08:26:44 $
# TODO
# - sparc, ppc fail
# - zaptel-1.2.15/ztdummy.c:103:2: warning: #warning This module will not be usable since the kernel HZ setting is not 1000 ticks per second.
#
# Conditional build:
%bcond_without	dist_kernel	# without distribution kernel
%bcond_without	kernel		# don't build kernel modules
%bcond_without	up		# don't build UP module
%bcond_without	smp		# don't build SMP module
%bcond_without	userspace	# don't build userspace tools
%bcond_with	grsec_kernel	# build for kernel-grsecurity
#
%if %{with kernel} && %{with dist_kernel} && %{with grsec_kernel}
%define	alt_kernel	grsecurity
%endif
#
%ifarch sparc
%undefine	with_smp
%endif
#
%define		_rel	55
Summary:	Zaptel telephony device support
Summary(pl):	Obsuga urzdze telefonicznych Zaptel
Name:		zaptel
Version:	1.2.17
Release:	%{_rel}
License:	GPL
Group:		Base/Kernel
Source0:	ftp://ftp.digium.com/pub/zaptel/%{name}-%{version}.tar.gz
# Source0-md5:	6b7cc8c8254c3101bf7b63d155fbb6fb
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Patch0:		%{name}-make.patch
Patch1:		%{name}-sparc.patch
Patch2:		%{name}-LIBDIR.patch
Patch3:		%{name}-LDFLAGS.patch
Patch4:		%{name}-as_needed-fix.patch
Patch5:		%{name}-sangoma.patch
URL:		http://www.asterisk.org/
%if %{with kernel} && %{with dist_kernel}
BuildRequires:	kernel%{_alt_kernel}-module-build
%endif
%if %{with userspace}
BuildRequires:	newt-devel
%endif
BuildRequires:	rpmbuild(macros) >= 1.330
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define	modules_1	pciradio,tor2,torisa,wcfxo,wct1xxp,wct4xxp/wct4xxp,
%define	modules_2	wctdm,wctdm24xxp,wcte11xp,wcusb,zaptel,ztd-eth,ztd-loc,ztdummy,ztdynamic

# modules added in 1.2.15 (see r1.75.2.2)
%ifnarch ppc alpha sparc
%define	modules_1_2_15  wctc4xxp/wctc4xxp,wcte12xp,xpp/{xpd_fxo,xpd_fxs,xpp,xpp_usb},zttranscode
%endif

%define	modules		%{modules_1},%{modules_2}%{?modules_1_2_15:,%{modules_1_2_15}}

%description
Zaptel telephony device driver.

%description -l pl
Sterownik do urzdze telefonicznych Zaptel.

%package devel
Summary:	Zaptel development headers
Summary(pl):	Pliki nagwkowe Zaptel
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{_rel}
# files in /usr/include/linux
Requires:	linux-libc-headers

%description devel
Zaptel development headers.

%description devel -l pl
Pliki nagwkowe Zaptel.

%package utils
Summary:	Zaptel utility programs
Summary(pl):	Programy narzdziowe Zaptel
Group:		Applications/Communications

%description utils
Zaptel card utility programs, mainly for diagnostics.

%description utils -l pl
Programy narzdziowe do kart Zaptel, suce gwnie do diagnostyki.

%package init
Summary:	Zaptel init scripts
Summary(pl):	Skrypty inicjalizujce Zaptel
Group:		Applications/Communications
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name}-utils = %{version}-%{_rel}
Requires:	rc-scripts

%description init
Zaptel boot-time initialization.

%description init -l pl
Inicjalizacja Zaptel w czasie startu systemu.

%package -n kernel%{_alt_kernel}-%{name}
Summary:	Zaptel Linux kernel driver
Summary(pl):	Sterownik Zaptel dla jdra Linuksa
Release:	%{_rel}@%{_kernel_ver_str}
Group:		Base/Kernel
%{?with_dist_kernel:%requires_releq_kernel_up}
Requires(post,postun):	/sbin/depmod

%description -n kernel%{_alt_kernel}-%{name}
Zaptel telephony Linux kernel driver.

%description -n kernel%{_alt_kernel}-%{name} -l pl
Sterownik dla jdra Linuksa do urzdze telefonicznych Zaptel.

%package -n kernel%{_alt_kernel}-smp-%{name}
Summary:	Zaptel Linux SMP kernel driver
Summary(pl):	Sterownik Zaptel dla jdra Linuksa SMP
Release:	%{_rel}@%{_kernel_ver_str}
Group:		Base/Kernel
%{?with_dist_kernel:%requires_releq_kernel_smp}
Requires(post,postun):	/sbin/depmod

%description -n kernel%{_alt_kernel}-smp-%{name}
Zaptel telephony Linux SMP kernel driver.

%description -n kernel%{_alt_kernel}-smp-%{name} -l pl
Sterownik dla jdra Linuksa SMP do urzdze telefonicznych Zaptel.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
%{__make} prereq zttest \
	CC="%{__cc}" \
	LDFLAGS="%{rpmldflags}" \
	OPTFLAGS="%{rpmcflags}"

%if %{with kernel}
echo : {%{modules},}
%build_kernel_modules SUBDIRS=$PWD -m %{modules}
%endif

%if %{with userspace}
%{__make} ztcfg torisatool makefw ztmonitor ztspeed libtonezone.so \
	fxstest fxotune gendigits \
	CC="%{__cc} %{rpmcflags}" \
	LDFLAGS="%{rpmldflags}"
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with kernel}
%install_kernel_modules -m %{modules} -d misc
%endif

%if %{with userspace}
install -d $RPM_BUILD_ROOT{/sbin,%{_includedir}/linux,/etc/{rc.d/init.d,sysconfig},%{_sbindir},%{_mandir}/{man1,man8}}
%{__make} -o all -o devices install \
	LIBDIR="%{_libdir}" \
	INSTALL_PREFIX=$RPM_BUILD_ROOT \
	MODCONF=$RPM_BUILD_ROOT/etc/modprobe.conf
install zttest torisatool makefw ztmonitor ztspeed fxstest fxotune gendigits $RPM_BUILD_ROOT%{_sbindir}
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/zaptel
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/zaptel
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post -n kernel%{_alt_kernel}-%{name}
%depmod %{_kernel_ver}

%postun -n kernel%{_alt_kernel}-%{name}
%depmod %{_kernel_ver}

%post -n kernel%{_alt_kernel}-smp-%{name}
%depmod %{_kernel_ver}smp

%postun -n kernel%{_alt_kernel}-smp-%{name}
%depmod %{_kernel_ver}smp

%post init
/sbin/chkconfig --add %{name}
%service %{name} restart

%preun init
if [ "$1" = "0" ]; then
	%service %{name} stop
	/sbin/chkconfig --del %{name}
fi

%if %{with userspace}
%files
%defattr(644,root,root,755)
%doc README ChangeLog
%attr(600,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/zaptel.conf
%attr(755,root,root) /sbin/*
%attr(755,root,root) %{_libdir}/*.so.*
%{_mandir}/man8/*

%files init
%defattr(644,root,root,755)
%attr(754,root,root) /etc/rc.d/init.d/*
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/zaptel

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/*.so
%{_includedir}/linux/*
%{_includedir}/*.h

%files utils
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/*
%endif

%if %{with kernel}
%if %{with up} || %{without dist_kernel}
%files -n kernel%{_alt_kernel}-%{name}
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}/misc/*.ko*
%endif

%if %{with smp} && %{with dist_kernel}
%files -n kernel%{_alt_kernel}-smp-%{name}
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}smp/misc/*.ko*
%endif
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: zaptel.spec,v $
Revision 1.75.2.23  2007/10/15 08:26:44  glen
- rel 55 (kernel 2.6.16.55)

Revision 1.75.2.22  2007/10/15 08:21:38  glen
- rel drbd.spec (2.6.16.55)

Revision 1.75.2.21  2007/10/01 21:25:45  glen
- rel 54

Revision 1.75.2.20  2007/09/30 22:17:50  adamg
- release 53.1 (rebuild against 2.6.16.53-2)

Revision 1.75.2.19  2007/09/05 19:30:12  glen
- rel 53 (kernel 2.6.16.53)

Revision 1.75.2.18  2007/06/04 08:09:08  glen
- rel 52 (2.6.16.52)

Revision 1.75.2.17  2007/05/11 06:38:50  glen
- rel 51 (2.6.16.51)

Revision 1.75.2.16  2007/05/08 12:10:09  glen
- rel 50 (kernel 2.6.16.50)

Revision 1.75.2.15  2007/04/25 22:11:15  glen
- rel 2 (kernel 2.6.16.49)

Revision 1.75.2.14  2007/04/25 10:08:28  dzeus
- up to 1.2.17

Revision 1.75.2.13  2007/03/29 07:34:32  dzeus
- up to 1.2.16

Revision 1.75.2.12  2007/03/27 22:17:58  glen
- rel 5 (kernel 2.6.16.45)

Revision 1.75.2.11  2007/03/19 21:10:47  glen
- take different approach, use modules known to build with previous version

Revision 1.75.2.10  2007/03/19 21:03:32  glen
- update

Revision 1.75.2.9  2007/03/19 20:52:49  glen
- update

Revision 1.75.2.8  2007/03/19 20:43:22  glen
- add matching pair for %endif

Revision 1.75.2.7  2007/03/19 20:40:16  glen
- results arrived

Revision 1.75.2.6  2007/03/19 20:28:24  glen
- separate modules for readability
- disable some modules on failed aches

Revision 1.75.2.5  2007/03/16 00:03:16  glen
- TODO

Revision 1.75.2.4  2007/03/15 23:33:09  glen
- rel 3

Revision 1.75.2.3  2007/03/09 09:30:50  dzeus
- without up bcond, rel. 2

Revision 1.75.2.2  2007/03/08 12:11:54  dzeus
- updated to 1.2.15
- updated modules and patches

Revision 1.75.2.1  2007/03/06 21:48:30  glen
- -devel :R llh

Revision 1.75  2007/01/23 19:01:35  hawk
- release 3

Revision 1.74  2006/12/08 14:20:48  hawk
- workaround for builder automation to allow building against
  kernel-grsecurity (via bcond)
- release 2

Revision 1.73  2006/11/14 20:36:22  sparky
- BR: rpmbuild(macros) >= 1.330 -- build_kernel_modules fix for kernels 2.6.18

Revision 1.72  2006/11/11 16:34:00  sparky
- %{_alt_kernel} support
- use %build_kernel_modules, %install_kernel_modules macros

Revision 1.71  2006/10/23 06:39:52  dzeus
- up to 1.2.10

Revision 1.70  2006/09/17 16:20:08  areq
- 1.2.9.1

Revision 1.69  2006/09/06 13:48:33  sparky
- mass atack: -j1 for make scripts

Revision 1.68  2006/08/30 09:46:45  glen
- -j1 for make scripts

Revision 1.67  2006/08/23 19:23:10  areq
- 1.2.8

Revision 1.66  2006/08/21 20:49:11  mkierus
- added SUBDIRS=$PWD to make modules

Revision 1.65  2006/08/20 00:46:56  areq
- 1.2.7

Revision 1.64  2006/08/02 02:56:59  sparky
- added as_needed-fix patch

Revision 1.63  2006/08/02 02:49:18  sparky
- sed 2 patch, LDFLAGS patch

Revision 1.62  2006/06/05 22:10:11  areq
- 1.2.6

Revision 1.61  2006/05/19 21:19:58  glen
- use %service, fix deps; rel 2

Revision 1.60  2006/04/12 12:15:40  glen
- add kernel epoch, adapterized

Revision 1.59  2006/03/27 22:22:36  areq
- 1.2.5

Revision 1.58  2006/03/17 22:03:24  glen
- rel 2

Revision 1.57  2006/03/12 16:23:12  areq
- 1.2.4

Revision 1.56  2006/03/11 12:28:27  arekm
- rel 4

Revision 1.55  2006/02/18 19:30:17  hunter
- BR:newt-devel
- include zttest util

Revision 1.54  2006/02/11 14:14:53  arekm
- rel 3

Revision 1.53  2006/02/05 12:26:39  averne
- fixed to build with 2.6.14.7
- rel 2

Revision 1.52  2006/02/04 21:37:31  averne
- updated to 1.2.3
- works fine with x86_64

Revision 1.51  2006/01/19 21:28:52  sparky
- build tools with CC="%{__cc} %{rpmcflags}" option (there is no CFLAGS)

Revision 1.50  2006/01/19 11:25:34  dzeus
- up to 1.2.2

Revision 1.49  2006/01/14 13:00:57  arekm
- rel 4; fixed sparc

Revision 1.48  2006/01/13 19:55:22  arekm
- rel 3

Revision 1.47  2006/01/12 20:54:30  arekm
- build fixes

Revision 1.46  2006/01/12 19:04:50  arekm
- rel 2

Revision 1.45  2006/01/12 18:00:16  qboosh
- no smp module on sparc(32)
- include/asm-* hack for ppc*

Revision 1.44  2005/12/17 13:01:32  averne
- updated to 1.2.1

Revision 1.43  2005/12/13 15:51:53  glen
- adapterized (sorted %verify attrs)

Revision 1.42  2005/12/07 01:15:08  glen
- better

Revision 1.41  2005/12/07 00:57:40  aredridel
- build fixes without dist_kernel

Revision 1.40  2005/12/05 20:49:00  aredridel
- up to 1.2.0

Revision 1.39  2005/09/15 18:25:05  sparky
- prepared for kernel >= 2.6.13: link Module.symvers

Revision 1.38  2005/09/14 22:13:07  areq
- 1.0.9.2

Revision 1.37  2005/05/21 21:18:59  averne
- rel 4

Revision 1.36  2005/03/25 06:16:25  havner
- rel 3

Revision 1.35  2005/03/25 06:12:44  havner
- don't remove trailing /

Revision 1.34  2005/03/25 06:10:08  havner
- sed for amd64 instead of patching

Revision 1.33  2005/03/22 21:38:42  arekm
- link with shared lib

Revision 1.32  2005/03/22 20:23:07  arekm
- add data for Poland

Revision 1.31  2005/03/22 18:17:15  arekm
- only ko are kernel modules.

Revision 1.30  2005/03/20 14:31:19  arekm
- up to 1.0.7 (Makefile patch not needed - replaced by MODCONF passing at install)

Revision 1.29  2005/03/10 20:27:18  qboosh
- config() for sysconfig file

Revision 1.28  2005/03/10 20:25:00  darekr
- fixed perms for init scripts
- %verify() for config file

Revision 1.27  2005/02/09 16:26:13  glen
- use _rel macro to prevent duplicate release expansion (kernel-smp-zaptel-1.0.0-2.1@2.6.8_4.11@2.6.8_4.11.i686.rpm) for -smp package

Revision 1.26  2005/02/09 16:08:41  glen
- don't own includedir/linux

Revision 1.25  2004/10/19 18:18:01  havner
- rel 2

Revision 1.24  2004/10/07 10:38:44  qboosh
- strict dep, simplified prep

Revision 1.23  2004/09/24 23:21:12  mguevara
- update to 1.0.0
- url/ftp change

Revision 1.22  2004/09/24 13:18:35  radek
- massive: missing %defattr (or related cosmetics)

Revision 1.21  2004/09/08 20:27:30  qboosh
- pl for -init

Revision 1.20  2004/09/08 04:32:49  aredridel
- added init scripts

Revision 1.19  2004/08/30 19:38:16  aredridel
- up to 20040830

Revision 1.18  2004/08/28 22:55:10  aredridel
- don't replace config files

Revision 1.17  2004/08/19 00:37:47  havner
- wrr, forgot about ifarch

Revision 1.16  2004/08/19 00:25:59  havner
- amd64 fix

Revision 1.15  2004/08/19 00:20:28  havner
- rel 4

Revision 1.14  2004/08/18 01:02:48  havner
- rel 3

Revision 1.13  2004/07/29 16:14:29  qboosh
- updated rpmbuild BR

Revision 1.12  2004/07/29 16:10:59  qboosh
- new bconds, thinko

Revision 1.11  2004/07/28 18:45:12  havner
- rel 2 for rebuild with new kernel

Revision 1.10  2004/06/18 11:00:19  kali
- missing Requires in -devel

Revision 1.9  2004/05/30 00:28:34  arekm
- move zap devices to dev.spec

Revision 1.8  2004/05/30 00:20:22  arekm
- updated to 0.9.1

Revision 1.7  2004/05/26 01:04:54  aredridel
- updated build scripts

Revision 1.6  2004/04/13 19:55:26  qboosh
- fixed -utils attr, no need to bcond preamble

Revision 1.5  2004/04/12 22:53:02  aredridel
- actually install utilities
- added -utils subpackage

Revision 1.4  2004/04/10 09:45:42  qboosh
- cleanups, pl, kernel/userspace bconds

Revision 1.3  2004/04/09 21:31:01  aredridel
- no kernel version on main package

Revision 1.2  2004/04/09 21:07:45  aredridel
- oops -- make mrproper was eating the smp modules

Revision 1.1  2004/04/09 19:25:55  aredridel
- added
